#pragma once

#include "XmlDocument.h"

class SvgDocument : public XmlDocument
{
public:
    struct ViewBox
    {
        double mX{ 0 };
        double mY{ 0 };
        double mW{ 0 };
        double mH{ 0 };
    };

    SvgDocument();

    ViewBox getViewBox() const;

    void setViewBox(const std::string& data);
    void setViewBox(double x, double y, double w, double h);
};
